%% Plot the numerical error as a function of the domain length for omega=5

% Load the data (see README.md for a description of the data in this file)
load('domain_length_omega5.mat');

figure
semilogy(LENGTH,ERH1,'k--',LENGTH,ERL2,'k',...
    LENGTH,minL2,'r-.',LENGTH,maxL2,'r-.')
set_figure
xlabel('Domain length')
ylabel('Relative Error (%)')
axis([1 20 0.01 10])
title('(a)')


%% Plot the numerical error as a function of the domain length for omega=10

% Load the data (see README.md for a description of the data in this file)
load('domain_length_omega10.mat');

figure
semilogy(LENGTH,ERH1,'k--',LENGTH,ERL2,'k',...
    LENGTH,minL2,'r-.',LENGTH,maxL2,'r-.')
set_figure
xlabel('Domain length')
ylabel('Relative Error (%)')
axis([1 20 0.01 10])
title('(b)')


%% Plot the numerical error as a function of the domain length for omega=20

% Load the data (see README.md for a description of the data in this file)
load('domain_length_omega20.mat');

figure
semilogy(LENGTH,ERH1,'k--',LENGTH,ERL2,'k',...
    LENGTH,minL2,'r-.',LENGTH,maxL2,'r-.')
set_figure
xlabel('Domain length')
ylabel('Relative Error (%)')
axis([1 20 0.01 10])
title('(c)')


%% Plot the numerical error as a function of the domain length for omega=40

% Load the data (see README.md for a description of the data in this file)
load('domain_length_omega40.mat');

figure
semilogy(LENGTH,ERH1,'k--',LENGTH,ERL2,'k',...
    LENGTH,minL2,'r-.',LENGTH,maxL2,'r-.')
set_figure
xlabel('Domain length')
ylabel('Relative Error (%)')
axis([1 20 0.01 10])
title('(d)')
