%% Plot the effective accuracy against the target accuracy for omega=1

% Load the data (see README.md for a description of the data in this file)
load('effectivity_w01.mat');

figure;
loglog(target, L2, 'b-', ...
       target, target, 'k:', ...
       target, min_error, 'r--', ...
       target, max_error,'r--');
set_figure
xlabel('Target error E_T (%)')
ylabel('Actual L2 error (%)')
axis([min(target) max(target) 1e-7 1.5e2]);
title('(a)');


%% Plot the effective accuracy against the target accuracy for omega=10

% Load the data (see README.md for a description of the data in this file)
load('effectivity_w10.mat');

figure;
loglog(target, L2, 'b-', ...
       target, target, 'k:', ...
       target, min_error, 'r--', ...
       target, max_error,'r--');
set_figure
xlabel('Target error E_T (%)')
ylabel('Actual L2 error (%)')
axis([min(target) max(target) 1e-7 1.5e2]);
title('(b)');


%% Plot the effective accuracy against the target accuracy for omega=20

% Load the data (see README.md for a description of the data in this file)
load('effectivity_w20.mat');

figure;
loglog(target, L2, 'b-', ...
       target, target, 'k:', ...
       target, min_error, 'r--', ...
       target, max_error,'r--');
set_figure
xlabel('Target error E_T (%)')
ylabel('Actual L2 error (%)')
axis([min(target) max(target) 1e-7 1.5e2]);
title('(c)');


%% Plot the effective accuracy against the target accuracy for omega=50

% Load the data (see README.md for a description of the data in this file)
load('effectivity_w50.mat');

figure;
loglog(target, L2, 'b-', ...
       target, target, 'k:', ...
       target, min_error, 'r--', ...
       target, max_error,'r--');
set_figure
xlabel('Target error E_T (%)')
ylabel('Actual L2 error (%)')
axis([min(target) max(target) 1e-7 1.5e2]);
title('(d)');
